# TdApi.ReorderInstalledStickerSets

Package it.ernytech.tdlib

## Class TdApi.ReorderInstalledStickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ReorderInstalledStickerSets

Enclosing class:
  TdApi

    public static class TdApi.ReorderInstalledStickerSets
    extends TdApi.Function

Changes the order of installed sticker sets.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMasks` Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.
`long[]` `stickerSetIds` Identifiers of installed sticker sets in the new correct order.

### Constructor Summary

Constructors
`ReorderInstalledStickerSets()` Default constructor.
`ReorderInstalledStickerSets​(boolean isMasks, long[] stickerSetIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### isMasks

    public boolean isMasks

Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.

#### stickerSetIds

    public long[] stickerSetIds

Identifiers of installed sticker sets in the new correct order.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReorderInstalledStickerSets

    public ReorderInstalledStickerSets()

Default constructor.

#### ReorderInstalledStickerSets

    public ReorderInstalledStickerSets​(boolean isMasks,
                                       long[] stickerSetIds)

Constructor for initialization of all fields.

Parameters:
  `isMasks` - Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.
  `stickerSetIds` - Identifiers of installed sticker sets in the new correct order.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR